<?xml version="1.0" encoding="GB2312"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:cafx="http://www.cffex.com.cn/tech/cafx/xsd">
    <xs:import namespace="http://www.cffex.com.cn/tech/cafx/xsd" schemaLocation="CommonTypes.xsd"/>
    <xs:element name="textMessages">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="item" maxOccurs="unbounded"/>
            </xs:sequence>
            <xs:attribute name="language" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:enumeration value="zh-CN"/>
                        <xs:enumeration value="zh-TW"/>
                        <xs:enumeration value="zh-HK"/>
                        <xs:enumeration value="en-US"/>
                        <xs:enumeration value="en-GB"/>
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
            <xs:attribute name="version" type="cafx:FrameworkVersion" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="item">
        <xs:complexType>
            <xs:simpleContent>
                <xs:extension base="xs:string">
                    <xs:attribute name="id" type="xs:string" use="required"/>
                </xs:extension>
            </xs:simpleContent>
        </xs:complexType>
    </xs:element>
</xs:schema>
